/*Copyright (C) 2019 Centro de Computacao Cientifica e Software Livre
Departamento de Informatica - Universidade Federal do Parana

This file is part of Plataforma Integrada MEC.

Plataforma Integrada MEC is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Plataforma Integrada MEC is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with Plataforma Integrada MEC.  If not, see <http://www.gnu.org/licenses/>.*/

import React, {useState} from 'react';
import SnackBar from '../../../Components/SnackbarComponent'; 
import { Link } from 'react-router-dom';
import styled from "styled-components";

const Unauthorized = () => {

    const [openSnack, setOpenSnack] = useState(true);

    return (
        <div style={{ textAlign: 'center' }}>
            <SnackBar
                severity='warning'
                text='Você não tem as permissões necessárias'
                snackbarOpen={openSnack}
                handleClose={() => setOpenSnack(false)}
            />
            <>
                <StyledDiv><span style={{ fontSize: '50px' }}>Desculpe</span></StyledDiv>
                <StyledDiv>
                    <span style={{ fontSize: '30px' }}>
                        Você não tem as permissões necessárias para acessar essa página.
                    </span>
                </StyledDiv>
                <StyledDiv>
                    <Link to='/'>
                        <span style={{ fontSize: '20px' }}>
                            Voltar para a página inicial
                        </span>
                    </Link>
                </StyledDiv>
            </>
        </div>
    );
}

const StyledDiv = styled('div')`
    width: 100%;
    margin-top: 70px;
    margin-bottom: 70px;
    justify-content : space-evenly;
    display: flex;
    color: #757575; 
    text-align:center;   
`

export default Unauthorized;